Mailinglist Archive: opensuse-security-announce (115 mails)

< Previous Next >
[security-announce] SUSE-SU-2018:1162-1: important: Security update for patch
SUSE Security Update: Security update for patch
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:1162-1
Rating: important
References: #1059698 #1080918 #1088420 #662957 #914891

Cross-References: CVE-2010-4651 CVE-2014-9637 CVE-2016-10713
CVE-2018-1000156
Affected Products:
SUSE Linux Enterprise Server 11-SP4
SUSE Linux Enterprise Server 11-SP3-LTSS
SUSE Linux Enterprise Point of Sale 11-SP3
SUSE Linux Enterprise Debuginfo 11-SP4
SUSE Linux Enterprise Debuginfo 11-SP3
______________________________________________________________________________

An update that solves four vulnerabilities and has one
errata is now available.

Description:

This update for patch fixes several issues.

These security issues were fixed:

- CVE-2018-1000156: patch: Malicious patch files cause ed to execute
arbitrary commands (bsc#1088420).
- CVE-2014-9637: Prevent DoS by remote attackers (memory consumption and
segmentation fault) via a crafted diff file (bsc#914891).
- CVE-2016-10713: Prevent out-of-bounds access within pch_write_line()
that could have lead to DoS via a crafted input file (bsc#1080918).
- CVE-2010-4651: Fixed a directory traversal bug (bsc#662957):


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Server 11-SP4:

zypper in -t patch slessp4-patch-13589=1

- SUSE Linux Enterprise Server 11-SP3-LTSS:

zypper in -t patch slessp3-patch-13589=1

- SUSE Linux Enterprise Point of Sale 11-SP3:

zypper in -t patch sleposp3-patch-13589=1

- SUSE Linux Enterprise Debuginfo 11-SP4:

zypper in -t patch dbgsp4-patch-13589=1

- SUSE Linux Enterprise Debuginfo 11-SP3:

zypper in -t patch dbgsp3-patch-13589=1



Package List:

- SUSE Linux Enterprise Server 11-SP4 (i586 ia64 ppc64 s390x x86_64):

patch-2.5.9-252.22.7.1

- SUSE Linux Enterprise Server 11-SP3-LTSS (i586 s390x x86_64):

patch-2.5.9-252.22.7.1

- SUSE Linux Enterprise Point of Sale 11-SP3 (i586):

patch-2.5.9-252.22.7.1

- SUSE Linux Enterprise Debuginfo 11-SP4 (i586 ia64 ppc64 s390x x86_64):

patch-debuginfo-2.5.9-252.22.7.1
patch-debugsource-2.5.9-252.22.7.1

- SUSE Linux Enterprise Debuginfo 11-SP3 (i586 s390x x86_64):

patch-debuginfo-2.5.9-252.22.7.1
patch-debugsource-2.5.9-252.22.7.1


References:

https://www.suse.com/security/cve/CVE-2010-4651.html
https://www.suse.com/security/cve/CVE-2014-9637.html
https://www.suse.com/security/cve/CVE-2016-10713.html
https://www.suse.com/security/cve/CVE-2018-1000156.html
https://bugzilla.suse.com/1059698
https://bugzilla.suse.com/1080918
https://bugzilla.suse.com/1088420
https://bugzilla.suse.com/662957
https://bugzilla.suse.com/914891

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages